Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 590753 - Need python bindings for xz compression/decompression
Summary: Need python bindings for xz compression/decompression
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xz
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jindrich Novy
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 15:45 UTC by James Antill
Modified: 2013-07-02 23:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-23 16:17:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description James Antill 2010-05-10 15:45:13 UTC
Description of problem:

 If we are going to use xz from createrepo/yum we need python bindings. Worst case I can probably do them, but it'd be nice if an xz maintainer did them for me :).
 This blocks 590743, which is kind of important for 6.0

Comment 1 RHEL Program Management 2010-05-10 16:54:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Jindrich Novy 2010-05-10 19:06:37 UTC
James, it will hardly happen as I don't want to touch Python with a pole and am total Python n00b :)

In any case I'm willing to help you writing it as I'm quite experienced with xz's API and can help you push things upstream or provide some examples.

Comment 4 James Antill 2010-06-23 14:14:15 UTC
I guess this should be closed ... as there are external bindings we are using atm. "pylzma", which is "import lzma".

Comment 5 Ondrej Vasik 2010-06-23 16:17:12 UTC
Ok, closing WONTFIX based on comment #4...


Note You need to log in before you can comment on or make changes to this bug.